gnutls_pcert_list_import_x509_raw(3)

NAME
gnutls_pcert_list_import_x509_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pcert_list_import_x509_raw(gnutls_pcert_st * pcerts, unsigned int * pcert_max, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format, unsigned int flags);

ARGUMENTS

gnutls_pcert_st * pcerts
    The structures to store the parsed certificate. Must not be initialized.

unsigned int * pcert_max
    Initially must hold the maximum number of certs. It will be updated with the number of certs available.

const gnutls_datum_t * data
    The certificates.

gnutls_x509_crt_fmt_t format
    One of DER or PEM.

unsigned int flags
    must be (0) or an OR'd sequence of gnutls_certificate_import_flags.

DESCRIPTION
This function will convert the given PEM encoded certificate list to the native gnutls_x509_crt_t format. The output will be stored in certs . They will be automatically initialized. If the Certificate is PEM encoded it should have a header of "X509 CERTIFICATE", or "CERTIFICATE".

RETURNS
the number of certificates read or a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/